<%@ taglib uri="/WEB-INF/cvtaglib.tld" prefix="cv"%>
<form data-cv-submit="addAzureAppCtrl.add()" name="addAzureAppForm"
	class="form-horizontal bootstrap-wrapper" novalidate>
	<div class="modal-header">
		<h1 class="modal-title" ng-show="!addAzureAppCtrl.isEdit">
			<cv:msg key="label.addAzureApp" bundle="exchange" />
		</h1>
		<h1 class="modal-title" ng-show="addAzureAppCtrl.isEdit">
			<cv:msg key="label.editAzureApp" bundle="exchange" />
		</h1>
	</div>
	<div class="modal-body">
		<!-- Show if add manually is selected! -->
		<div class="form-group">
			<label class="col-xs-12 col-lg-3" for="applicationId"> <cv:msg
					key="label.applicationId" bundle="exchange"></cv:msg>
			</label>
			<div class="col-xs-12 col-lg-9">
				<input type="text" id="applicationId" name="applicationId"
					data-ng-required="addAzureAppCtrl.office365Attributes.exchangeAttributes.onePassProp.environmentType === 'EXCHANGE_ONLINE_ONLY'"
					placeholder='<cv:msg key="label.help.applicationId" bundle="exchange"/>'
					data-ng-model="addAzureAppCtrl.azureApp.azureAppId" />
				<div class="help-block"
					data-ng-show="cv.addAzureAppForm.needsAttention(addAzureAppForm.applicationId)">
					<cv:msg key="label.appIdRequired" bundle="exchange" />
				</div>
			</div>
		</div>
		<div class="form-group">
			<label class="col-xs-12 col-lg-3" for="secretAccessKey"> <cv:msg
					key="label.secretAccessKey" bundle="exchange"></cv:msg>
			</label>
			<div class="col-xs-12 col-lg-9">
				<input type="password" id="secretAccessKey" name="secretAccessKey"
					data-ng-required="addAzureAppCtrl.office365Attributes.exchangeAttributes.onePassProp.environmentType === 'EXCHANGE_ONLINE_ONLY'"
					placeholder='<cv:msg key="label.help.secretAccessKey" bundle="exchange"/>'
					data-ng-model="addAzureAppCtrl.azureApp.azureAppKeyValue" />
				<div class="help-block"
					data-ng-show="cv.addAzureAppForm.needsAttention(addAzureAppForm.secretAccessKey)">
					<cv:msg key="label.appSecretRequired" bundle="exchange" />
				</div>
			</div>
		</div>
		<div class="form-group">
			<label class="col-xs-12 col-lg-3" for="tenantName"> <cv:msg
					key="label.azureDirectoryID" bundle="exchange"></cv:msg>
			</label>
			<div class="col-xs-12 col-lg-9">
				<div>
					<input type="text" id="tenantName" name="tenantName"
						placeholder='<cv:msg key="label.help.azureDirectoryID" bundle="exchange"/>'
						data-ng-required="addAzureAppCtrl.office365Attributes.exchangeAttributes.onePassProp.environmentType === 'EXCHANGE_ONLINE_ONLY'"
						data-ng-model="addAzureAppCtrl.azureApp.azureDirectoryId" />
				</div>
				<div class="help-block"
					data-ng-show="cv.addAzureAppForm.needsAttention(addAzureAppForm.tenantName)">
					<cv:msg key="label.azureTenantIdRequired" bundle="exchange" />
				</div>
			</div>
		</div>
	</div>
	<div class="modal-footer">
		<button id="addAzureApp_button_#6356" class="btn btn-default" type="button" 
			data-ng-click="addAzureAppCtrl.cancel()">
			<cv:msg key="Cancel" bundle="messages" />
		</button>
		<button id="addAzureApp_button_#4336" class="btn btn-primary" type="submit" 
			ng-show="!addAzureAppCtrl.isEdit">
			<cv:msg key="Add" bundle="messages" />
		</button>
		<button id="addAzureApp_button_#7772" class="btn btn-primary" type="submit" 
			ng-show="addAzureAppCtrl.isEdit">
			<cv:msg key="Save" bundle="messages" />
		</button>
	</div>
</form>