<%@ taglib uri="/WEB-INF/cvtaglib.tld" prefix="cv"%>
<script nonce="${sessionScope.cspNonce}" >
    <cv:cvMessages bundle="localization.office365"></cv:cvMessages>
</script>

<form data-cv-submit="updateIndexServerCtrl.update()" cv-hide-api name="updateIndexServerForm" class="form-horizontal bootstrap-wrapper" novalidate>
	<div class="modal-header">
		<h1 class="modal-title"> <cv:msg key="label.title.update.indexserver" bundle="office365" /> </h1>
	</div>
	<div class="modal-body">		
		<div class="row">
			<div class="col-xs-12 col-md-3 margin-top-10">
				<cv-help-text class="less-margin" help-label="label.indexServer" help-text="info.indexServer"/>
			</div>
			<div class="col-xs-12 col-md-9">
				<div class="input-group">
					<isteven-multi-select
						id="updateIndexServer_isteven-multi-select_#2168"
						input-model="updateIndexServerCtrl.indexServerList"
						output-model="updateIndexServerCtrl.selectedIndexServerList"
						button-label="clientName"
						item-label="clientName"
						selection-mode="single"
						helper-elements="filter"
						disable-property="disabled"
						directive-id="'update-indexserver-directive'"
						max-labels="1"
						on-item-click="updateIndexServerCtrl.processIndexServerSelection()"
						tick-property="selected"
						translation="updateIndexServerCtrl.localLang">
					</isteven-multi-select>
					<span class="input-group-btn">
						<button id="updateIndexServerCtrl_button_#3718" type="button"
							data-ng-click="updateIndexServerCtrl.createNewIndexServer()"
							class="icon-style cv-material-button browse">
							<div class="cv-material-button-icon cursor-pointer">
								<svg height="20" id="cv_cc" viewBox="0 0 448 448" width="20" xmlns="http://www.w3.org/2000/svg">
									<path d="m408 184h-136c-4.417969 0-8-3.582031-8-8v-136c0-22.089844-17.910156-40-40-40s-40 17.910156-40 40v136c0 4.417969-3.582031 8-8 8h-136c-22.089844 0-40 17.910156-40 40s17.910156 40 40 40h136c4.417969 0 8 3.582031 8 8v136c0 22.089844 17.910156 40 40 40s40-17.910156 40-40v-136c0-4.417969 3.582031-8 8-8h136c22.089844 0 40-17.910156 40-40s-17.910156-40-40-40zm0 0"/>
								</svg>
							</div>
							<div class="cv-material-button-tooltip">
								<cv:msg key="label.newExchangeIndexServer" bundle="exchange" />
							</div>
						</button>
					</span>
				</div>
				<div data-ng-if="updateIndexServerForm.$submitted" class="help-block margin-left-0"
					 data-ng-show="!updateIndexServerCtrl.selectedIndexServerList.length">>
					<cv:msg key="label.selectIndexServer" bundle="exchange" />
				</div>
			</div>
		</div>
		<div class="row margin-top-30 padding-15">	
			<div class="input-group">		
				<span class="input-group-btn">
					<svg version="1.1" id="cv_cc" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" x="0px" y="0px"
						viewBox="0 0 432.4 432.4" style="enable-background:new 0 0 432.4 432.4;" height="24px" width="24px" xml:space="preserve">
						<path style="fill:#0B2E44;" d="M216.529,93.2c-61.2,0-111.2,50-111.2,111.2c0,32,14,62.8,37.6,83.6c17.6,17.6,16,55.2,15.6,55.6
							c0,2,0.4,3.6,2,5.2c1.2,1.2,3.2,2,4.8,2h102c2,0,3.6-0.8,4.8-2c1.2-1.2,2-3.2,2-5.2c0-0.4-2-38,15.6-55.6
							c0.4-0.4,0.8-0.8,1.2-1.2c23.2-21.2,36.8-51.2,36.8-82.4C327.729,143.2,277.729,93.2,216.529,93.2z M280.529,277.6
							c-0.4,0.4-1.2,1.2-1.2,1.6c-15.6,16.8-18.4,44.4-18.8,57.6h-88.4c-0.4-13.2-3.2-42-20-59.2c-21.2-18.4-33.6-45.2-33.6-73.6
							c0-54,43.6-97.6,97.6-97.6s97.6,43.6,97.6,97.6C313.729,232.4,301.729,259.2,280.529,277.6z"/>
						<path style="fill:#0B2E44;" d="M216.129,121.6c-3.6,0-6.8,3.2-6.8,6.8c0,3.6,3.2,6.8,6.8,6.8c40.4,0,72.8,32.8,72.8,72.8
							c0,3.6,3.2,6.8,6.8,6.8c3.6,0,6.8-3.2,6.8-6.8C302.929,160.4,264.129,121.6,216.129,121.6z"/>
						<path style="fill:#0B2E44;" d="M260.529,358.4h-88.8c-9.2,0-16.8,7.6-16.8,16.8s7.6,16.8,16.8,16.8h88.4
							c9.6-0.4,17.2-7.6,17.2-16.8C277.329,366,269.729,358.4,260.529,358.4z M260.529,378h-88.8c-1.6,0-3.2-1.2-3.2-3.2
							s1.2-3.2,3.2-3.2h88.4c1.6,0,3.2,1.2,3.2,3.2S262.129,378,260.529,378z"/>
						<path style="fill:#0B2E44;" d="M247.329,398.8h-62.4c-9.2,0-16.8,7.6-16.8,16.8s7.6,16.8,16.8,16.8h62.4
							c9.2,0,16.8-7.6,16.8-16.8C264.129,406,256.529,398.8,247.329,398.8z M247.329,418.4h-62.4c-1.6,0-3.2-1.2-3.2-3.2
							s1.2-3.2,3.2-3.2h62.4c1.6,0,3.2,1.2,3.2,3.2S248.929,418.4,247.329,418.4z"/>
						<path style="fill:#0B2E44;" d="M216.129,60c4,0,6.8-3.2,6.8-6.8V6.8c0-3.6-3.2-6.8-6.8-6.8c-3.6,0-6.8,3.2-6.8,6.8v46.4
							C209.329,56.8,212.529,60,216.129,60z"/>
						<path style="fill:#0B2E44;" d="M329.329,34.4c-3.2-2.4-7.2-1.2-9.2,1.6l-25.6,38.4c-2.4,3.2-1.6,7.6,1.6,9.6
							c1.2,0.8,2.4,1.2,3.6,1.2c2.4,0,4.4-1.2,5.6-3.2l25.6-38.4C333.329,40.8,332.529,36.4,329.329,34.4z"/>
						<path style="fill:#0B2E44;" d="M134.929,83.6c1.2,0,2.4-0.4,3.6-1.2c3.2-2,4-6.4,2-9.6l-24.8-38.8c-2-3.2-6.4-4-9.6-2
							s-4,6.4-2,9.6l24.8,38.8C130.529,82.8,132.529,83.6,134.929,83.6z"/>
						<path style="fill:#0B2E44;" d="M86.529,126l-40.4-22c-3.2-1.6-7.6-0.4-9.2,2.8c-2,3.2-0.8,7.6,2.8,9.2l40.4,22
							c1.2,0.4,2,0.8,3.2,0.8c2.4,0,4.8-1.2,6-3.6C90.929,132,89.729,127.6,86.529,126z"/>
						<path style="fill:#0B2E44;" d="M395.729,106.8c-1.6-3.2-6-4.4-9.2-2.8l-40.8,22c-3.2,1.6-4.4,6-2.8,9.2c1.2,2.4,3.6,3.6,6,3.6
							c1.2,0,2.4-0.4,3.2-0.8l40.8-22C396.129,114.4,397.329,110,395.729,106.8z"/>
					</svg>
				</span>
				<span>
					<label class="cv-material-label"><cv:msg key="tip.change.index.server" bundle="office365" /></label>
				</span>
			</div>											
		</div>
	</div>
	<div class="modal-footer">
		<button id="cancel" class="btn btn-default cvBusyOnAjax" type="button" data-ng-click="updateIndexServerCtrl.cancel()">
			<cv:msg key="Cancel" bundle="messages" />
		</button>
		<button id="update" class="btn btn-primary cvBusyOnAjax" type="submit">
			<cv:msg key="label.update" bundle="office365" />
			<i data-ng-if="updateIndexServerCtrl.processingRequest"
							class="fa fa-spinner fa-spin"></i>
		</button>
	</div>
</form>