<%@ taglib uri="/WEB-INF/cvtaglib.tld" prefix="cv"%>
<script nonce="${sessionScope.cspNonce}" >
	<cv:cvMessages bundle="localization.capps"></cv:cvMessages>
	<cv:cvMessages bundle="localization.storage"></cv:cvMessages>
	<cv:cvMessages bundle="localization.messages"></cv:cvMessages>
	<cv:cvMessages bundle="localization.office365"></cv:cvMessages>
</script>
<form data-cv-submit="oneDriveClassicEditConnectionSettingsCtrl.saveInfo()" name="editAzureConnectionSettingsForm"
	class="form-horizontal bootstrap-wrapper" novalidate>
	<div class="modal-header">
		<h1 class="modal-title">
			<cv:msg key="settings.autodiscovery" bundle="office365" />
		</h1>
	</div>
	<div class="modal-body">
		
		<div class="form-group">
			<div class="col-xs-12">
				<input id="enableAutoDiscovery" type="checkbox"
					data-ng-checked="oneDriveClassicEditConnectionSettingsCtrl.oneDriveInstanceDetails.isAutoDiscoveryEnabled"
					data-ng-model="oneDriveClassicEditConnectionSettingsCtrl.oneDriveInstanceDetails.isAutoDiscoveryEnabled"
					data-ng-change="oneDriveClassicEditConnectionSettingsCtrl.autoDiscoveryChanged()" /> <label
					for="enableAutoDiscovery">{{'label.enable' | cvLoc}}</label>
			</div>
		</div>
		<div class="form-group margin-left-10" data-ng-show="oneDriveClassicEditConnectionSettingsCtrl.oneDriveInstanceDetails.isAutoDiscoveryEnabled">
			<div >
				<label class="col-xs-12" for="typeOfAutoDiscoverRegex">
					<input 
						type="radio" 
						id="typeOfAutoDiscoverRegex"  
						value="{{oneDriveClassicEditConnectionSettingsCtrl.regexText}}" 
						name="typeOfAutoDiscover"
						data-ng-model="oneDriveClassicEditConnectionSettingsCtrl.oneDriveInstanceDetails.autoDiscoveryMode"
						data-ng-change="oneDriveClassicEditConnectionSettingsCtrl.processModeSelection()"/>
					<cv:msg key="tab.regular.expressions" bundle="office365"/>
				</label>
			</div>
			<div >
				<label class="col-xs-12" for="typeOfAutoDiscoverGroup" >
					<input 
						type="radio" 
						id="typeOfAutoDiscoverGroup" 
						data-ng-model="oneDriveClassicEditConnectionSettingsCtrl.oneDriveInstanceDetails.autoDiscoveryMode"
						data-ng-change="oneDriveClassicEditConnectionSettingsCtrl.processModeSelection()"
						value="{{oneDriveClassicEditConnectionSettingsCtrl.userGrpText}}" 
						name="typeOfAutoDiscover" >
					<cv:msg key="tab.azuread.groups" bundle="office365"/>
				</label>
			</div>
		</div>

		<!--Auto-create subclients--START-->
		<div class="form-group" 
			data-ng-if="oneDriveClassicEditConnectionSettingsCtrl.showCreateNewSubclientsOption"
			data-ng-disabled="oneDriveClassicEditConnectionSettingsCtrl.oneDriveInstanceDetails.autoDiscoveryMode === oneDriveClassicEditConnectionSettingsCtrl.CAPPS_CONSTANTS.USER_GRP_TEXT">
			<div class="col-xs-12">
				<input id="enableCreateAdditionalSubclients" type="checkbox"
					data-ng-checked="oneDriveClassicEditConnectionSettingsCtrl.createSubclientsChk"
					data-ng-model="oneDriveClassicEditConnectionSettingsCtrl.createSubclientsChk"
					data-ng-change="oneDriveClassicEditConnectionSettingsCtrl.createSubclientsChanged()" /> 
					<label for="enableCreateAdditionalSubclients"><cv-help-text help-label="label.createSubclients" help-text="help.createSubclients"/></label>			
			</div>
			<div class="form-group margin-left-10">
				<label class="col-xs-12  margin-left-15" for="subclientOptionsRd">
					<cv-radio-group  
						radio-name="subclientOptionsRd"
						on-click="oneDriveClassicEditConnectionSettingsCtrl.subclientNumberSelection(data)"
						radio-model="oneDriveClassicEditConnectionSettingsCtrl.oneDriveInstanceDetails.numberofAdditionalSubclients" 
						radio-obj="oneDriveClassicEditConnectionSettingsCtrl.subclientOptions">
					</cv-radio-group>
				</label>
			</div>
		</div>		
		<!--Auto-create subclients--START-->
	</div>
	
	<div class="modal-footer">
		<button type="button" class="btn btn-default cvBusyOnAjax " data-ng-click="oneDriveClassicEditConnectionSettingsCtrl.cancel()">
			<cv:msg key="Cancel" bundle="messages" />
		</button>
		<button type="submit" class="btn btn-primary cvBusyOnAjax"><cv:msg key="Save" bundle="messages" /></button>
	</div>
</form>

