<%@ taglib uri="/WEB-INF/cvtaglib.tld" prefix="cv"%>
<form
	class="form-horizontal bootstrap-wrapper"
	data-cv-submit="manageOneDriveSubclientCtrl.saveChanges()"
	name="manageSubclientForm"
	id="manage-subclient-form"
	novalidate
	autocomplete="off"
>
	<div class="modal-header">
		<h1 data-ng-bind="manageOneDriveSubclientCtrl.title"></h1>
	</div>
	<!--End --Modal Header-->
	<div class="modal-body-fixed no-padding masked">
		<p class="serverMessage no-margin error" data-ng-bind="manageOneDriveSubclientCtrl.updateSubclientMessage.message"></p>
		<!--Add user mode---START-->
		<div data-ng-if="!manageOneDriveSubclientCtrl.MODE_USERGROUP">
			<div class="form-group margin-left-5 margin-right-5">
				<label class="col-xs-12 col-sm-4" for="userGroupName" data-ng-bind="manageOneDriveSubclientCtrl.userGroupSelection"></label>
				<div class="col-xs-12 col-sm-8">
					<isteven-multi-select
							class="half-width"
							input-model="manageOneDriveSubclientCtrl.subclientsList"
							output-model="manageOneDriveSubclientCtrl.selectedOneDriveSubclientList"
							button-label="subclientName"
							item-label="subclientName"
							selection-mode="single"
							helper-elements="filter"
							directive-id="'userGroupName'"
							max-labels="1"
							tick-property="selected"
							on-item-click="manageOneDriveSubclientCtrl.processOneDriveSubclientSelection()"
							translation="manageOneDriveSubclientCtrl.localLang">
						</isteven-multi-select>					
					<div class="help-block"
						data-ng-if="manageSubclientForm.$submitted"
						data-ng-show="!manageOneDriveSubclientCtrl.selectedOneDriveSubclientList.length">
						<label data-ng-bind="manageOneDriveSubclientCtrl.selectUserGroup"></label>
					</div>
				</div>
			</div>

			<div class="form-group row margin-left-5 margin-right-5" data-ng-if="manageOneDriveSubclientCtrl.showCreateNewSubclientOption">
				<label class="col-xs-12 col-sm-4" for="subclientName" data-ng-bind="manageOneDriveSubclientCtrl.newSubclientLabel"></label>
				<div class="col-xs-12 col-sm-8">
					<input
						type="text"
						name="subclientName"
						id="subclientName"
						required
						data-ng-model="manageOneDriveSubclientCtrl.newSubclientName"
						autofocus/>
					<span class="help-block" data-ng-show="cv.manageSubclientForm.needsAttention(manageSubclientForm.subclientName)"
						data-ng-bind="manageOneDriveSubclientCtrl.errorUserGroupName">			
					</span>
				</div>
			</div>
			
			<div class="form-group margin-left-5 margin-right-5" 
			data-ng-if="!manageOneDriveSubclientCtrl.isOffice365SaaSTenant && (!manageOneDriveSubclientCtrl.isSubclientEdit || manageOneDriveSubclientCtrl.isPlanEntityDefined)">
				<label class="col-xs-12 col-sm-4" for="subclientPlan"> <cv:msg
						key="label.o365.serverPlan" bundle="office365"></cv:msg>
				</label>
				<div class="col-xs-12 col-sm-8">
					<cv-plan-summary-dropdown				
						input-model="manageOneDriveSubclientCtrl.serverPlanList"
						output-model="manageOneDriveSubclientCtrl.selectedPlanList"
						button-label="'planName'"
						item-label="'planName'"
						tick-property="'selected'"														                
						selection-mode="'single'"
						directive-id="'subclientPlan'"
						max-labels="1"
						helper-elements="'filter'"
						translation="manageOneDriveSubclientCtrl.localLang"
						disable-property="'disabled'"
						on-item-clicked="manageOneDriveSubclientCtrl.processServerPlanSelection()">
					</cv-plan-summary-dropdown>
	
					<div class="help-block"
						data-ng-if="manageSubclientForm.$submitted"
						data-ng-show="!manageOneDriveSubclientCtrl.selectedPlanList.length">
						<cv:msg key="placeholder.plan" bundle="capps" />
					</div>
				</div>
			</div>

			<div class="form-group margin-top-20 margin-left-10 margin-right-5">
				<p class="{{ manageOneDriveSubclientCtrl.gridErrorMessage.type }} serverMessage"
					data-ng-bind="manageOneDriveSubclientCtrl.gridErrorMessage.message">
				</p>
				<cv-kendo-grid data-cv-grid-options="manageOneDriveSubclientCtrl.addNewUserGridOptions"></cv-kendo-grid>
			</div>

		</div>
		<!--Add user mode---END-->
		
		<!--Add user group mode---START-->
		<div data-ng-if="manageOneDriveSubclientCtrl.MODE_USERGROUP">
			<div class="form-group row margin-left-5 margin-right-5" data-ng-if="!manageOneDriveSubclientCtrl.isDefaultSubclient">
					<label class="col-xs-12 col-sm-4" for="subclientName" data-ng-bind="manageOneDriveSubclientCtrl.newSubclientLabel"></label>
					<div class="col-xs-12 col-sm-8">
						<input
							type="text"
							name="subclientName"
							id="subclientName"
							required
							data-ng-model="manageOneDriveSubclientCtrl.newSubclientName"
							autofocus/>
						<span class="help-block" data-ng-show="cv.manageSubclientForm.needsAttention(manageSubclientForm.subclientName)"
							data-ng-bind="manageOneDriveSubclientCtrl.errorUserGroupName">			
						</span>
					</div>
				</div>
		
				<div class="form-group margin-left-5 margin-right-5" 
					data-ng-if="manageOneDriveSubclientCtrl.isSubclientEdit && !manageOneDriveSubclientCtrl.isPlanEntityDefined && !manageOneDriveSubclientCtrl.isOffice365SaaSTenant">
					<cv-entity-plan-policy-select
            data-ng-if="manageOneDriveSubclientCtrl.planPolicyModel"
						data-cv-app-id="manageOneDriveSubclientCtrl.APPTYPE"
						data-cv-client-id="manageOneDriveSubclientCtrl.clientId"
						data-cv-subclient-id="manageOneDriveSubclientCtrl.subclientId"
						data-cv-model="manageOneDriveSubclientCtrl.planPolicyModel"
						data-cv-edit-policies="!manageOneDriveSubclientCtrl.showPlanSelectionState"
						data-cv-is-associated="'true'"
						data-cv-plan-sub-type="'Server'"
						data-cv-wrapper-class="'form-group row'"
						data-cv-label-class="'col-xs-12 col-lg-4'"
						data-cv-select-class="'col-xs-12 col-lg-8'">
					</cv-entity-plan-policy-select>
				</div>
		
				<div class="form-group margin-left-5 margin-right-5" 
					data-ng-if="!manageOneDriveSubclientCtrl.isOffice365SaaSTenant && (!manageOneDriveSubclientCtrl.isSubclientEdit || manageOneDriveSubclientCtrl.isPlanEntityDefined)">
					<label class="col-xs-12 col-sm-4" for="subclientPlan"> <cv:msg
							key="label.o365.serverPlan" bundle="office365"></cv:msg>
					</label>
					<div class="col-xs-12 col-sm-8">
						<cv-plan-summary-dropdown				
							input-model="manageOneDriveSubclientCtrl.serverPlanList"
							output-model="manageOneDriveSubclientCtrl.selectedPlanList"
							button-label="'planName'"
							item-label="'planName'"
							tick-property="'selected'"														                
							selection-mode="'single'"
							directive-id="'subclientPlan'"
							max-labels="1"
							helper-elements="'filter'"
							translation="manageOneDriveSubclientCtrl.localLang"
							disable-property="'disabled'"
							on-item-clicked="manageOneDriveSubclientCtrl.processServerPlanSelection()">
						</cv-plan-summary-dropdown>
		
						<div class="help-block"
							data-ng-if="manageSubclientForm.$submitted"
							data-ng-show="!manageOneDriveSubclientCtrl.selectedPlanList.length">
							<cv:msg key="placeholder.plan" bundle="capps" />
						</div>
					</div>
				</div>
		
				<!--Content: Users (Tab-1); Azure AD Groups/RegEx (Tab-2) -->
				<div class="margin-top-10 margin-left-5 margin-right-5">
					<uib-tabset justified="true">
		
						<uib-tab>
							<uib-tab-heading class="font-weight-bold">
								<i class="fa fa-user"></i>
								<cv:msg key='tab.users' bundle='office365' />
							</uib-tab-heading>
							<div id="backup-content-wrapper">
								<div class="form-group margin-top-20 margin-left-10 margin-right-5">
									<cv-kendo-grid data-cv-grid-options="manageOneDriveSubclientCtrl.gridOptions"></cv-kendo-grid>
								</div>
							</div>
						</uib-tab> 
						
						<uib-tab data-ng-if="manageOneDriveSubclientCtrl._showAutoDiscoverTab()">	
							<uib-tab-heading class="font-weight-bold">
								<span data-ng-if="manageOneDriveSubclientCtrl.AUTO_DISOVERY_MODE !== manageOneDriveSubclientCtrl.REGULAR_EXRESSIONS_DISCOVERY_MODE">
									<i class="fa fa-users"></i>
									<cv:msg key='tab.azuread.groups' bundle='office365' />
								</span>	
								<span data-ng-if="manageOneDriveSubclientCtrl.AUTO_DISOVERY_MODE === manageOneDriveSubclientCtrl.REGULAR_EXRESSIONS_DISCOVERY_MODE">							
									<span>(.*)&nbsp;</span><cv:msg key='tab.regular.expressions' bundle='office365' />
								</span>				
							</uib-tab-heading>					
							<div id="backup-content-wrapper">
								<div class="form-group margin-top-20 margin-left-5 margin-right-5">
									<cv-kendo-grid data-cv-grid-options="manageOneDriveSubclientCtrl.azureGroupGridOptions"></cv-kendo-grid>
								</div>					
							</div>
						</uib-tab> 							
					</uib-tabset> 			
				</div>
		</div>	
		<!--Add user group mode---END-->	
	</div>
	<!--End --Modal Body-->
	<div class="modal-footer">
		<button id="oneDriveClassicManageSubclient_button_#2955" class="btn btn-default" type="button" data-ng-click="manageOneDriveSubclientCtrl.cancel()">
			<cv:msg key="Cancel" bundle="messages" />
		</button>
	
		<button id="oneDriveClassicManageSubclient_button_#2475" data-ng-if="manageOneDriveSubclientCtrl.MODE_USERGROUP && !manageOneDriveSubclientCtrl.editMode" class="btn btn-primary cvBusyOnAjax" type="submit">
				<i data-ng-if="manageOneDriveSubclientCtrl.processingRequest" class="fa fa-spinner fa-spin"></i>			
			<cv:msg key="Add" bundle="messages" />
		</button>

		<button id="oneDriveClassicManageSubclient_button_#8514" data-ng-if="manageOneDriveSubclientCtrl.MODE_USERGROUP && manageOneDriveSubclientCtrl.editMode"class="btn btn-primary cvBusyOnAjax" type="submit"  ng-show="manageOneDriveSubclientCtrl.editMode">
				<i data-ng-if="manageOneDriveSubclientCtrl.processingRequest" class="fa fa-spinner fa-spin"></i>
			<cv:msg key="Save" bundle="messages" />
		</button>

		<button id="oneDriveClassicManageSubclient_button_#8515" data-ng-if="!manageOneDriveSubclientCtrl.MODE_USERGROUP" class="btn btn-primary cvBusyOnAjax" type="submit" ng-disabled="!manageOneDriveSubclientCtrl.showUserGrid">
				<i data-ng-if="manageOneDriveSubclientCtrl.processingRequest" class="fa fa-spinner fa-spin"></i>			
			<cv:msg key="Add" bundle="messages" />
		</button>
		
	</div>
	<!--End --Modal Footer-->
</form>
