<%@ taglib uri="/WEB-INF/cvtaglib.tld" prefix="cv"%>
<script nonce="${sessionScope.cspNonce}" >
<cv:cvMessages bundle="localization.office365"></cv:cvMessages>
<cv:cvMessages bundle="localization.exchange"></cv:cvMessages>
<cv:cvMessages bundle="localization.capps"></cv:cvMessages>
<cv:cvMessages bundle="localization.clients"></cv:cvMessages>
<cv:cvMessages bundle="localization.profiles"></cv:cvMessages>
<cv:cvMessages bundle="localization.search"></cv:cvMessages>
</script>

<div class="float-right row" id="browseServer" ng-if="office365ExchangeBrowseCtrl.browseOptions.showExportActions">
	<a class="margin-right-20" href="" ng-click="office365ExchangeBrowseCtrl.viewExport()">
		<span>
			<svg class="svg-primary-fill" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 50 50" style="width:15px;height:15px;" ><path d="M35.1 0H23.5a8.3 8.3 0 0 0-8.1 7.1H9a8.3 8.3 0 0 0-8.3 8.3v26.3A8.3 8.3 0 0 0 9 50h21.4a8.2 8.2 0 0 0 7.8-5.6 16.6 16.6 0 0 1-2.4-.5 5.9 5.9 0 0 1-5.5 3.7H9a6 6 0 0 1-6-6V15.6a6 6 0 0 1 6-6h21.4a6 6 0 0 1 5.8 4.8l2.4-.5a8.3 8.3 0 0 0-8.2-6.6H17.8a6 6 0 0 1 5.8-4.8h11.5a6 6 0 0 1 5.9 6v12a16 16 0 0 1 2.4.3V8.3A8.3 8.3 0 0 0 35 0z"/><path d="M7.8 18.6h15.8v1.8H7.8zM7.8 27.1H20v1.8H7.8zM7.8 35.5H20v1.8H7.8zM7.8 43.4h15.8v1.8H7.8zM45.5 40.8a2.3 2.3 0 0 0 3.3-3.3l-6.6-6.7a2.3 2.3 0 0 0-2.3-.5l-2-2a7.8 7.8 0 0 0 1.1-2 .7.7 0 0 1-.3-.2l-3.5-3.5-.2-.3a9 9 0 0 0-2.7 2 9.4 9.4 0 0 0-2 2.6l.5.2 3.4 3.5a1 1 0 0 1 .3.3 8.3 8.3 0 0 0 1.8-1.1l2 2a2.5 2.5 0 0 0 .7 2.4zM30.4 27.4H30a1.6 1.6 0 0 0-.9.3 1.5 1.5 0 0 0-.4.7.5.5 0 0 0 .2.6l2.4 2.4 1 1a.6.6 0 0 0 .5.2 1.6 1.6 0 0 0 .9-.4 1.3 1.3 0 0 0 .4-1 .3.3 0 0 0-.1-.3zM39.4 25.9a1.6 1.6 0 0 0 1-.4c.4-.4.5-1 .1-1.3l-1.1-1.1-2.3-2.3a.6.6 0 0 0-.5-.2 1.5 1.5 0 0 0-.8.4 1.3 1.3 0 0 0-.4 1.1v.2l3.5 3.5a.3.3 0 0 0 .2 0zM33 36.3h-7v1.3h7v-1.3zM27.7 38H26c-1.7.2-3 .8-3 2.8h13c0-2-1.2-2.6-3-2.8z"/></svg>
		</span>
		<span class="vertical-align-text-bottom">
			{{'label.viewExports' | cvLoc}}
		</span>
	</a>
</div>
<div class="row">
	<div class="col-md-12">
		<h1 class="float-left" data-ng-bind="office365ExchangeBrowseCtrl.pageTitle"></h1>
	</div>
</div>
<div class="row" data-ng-if="office365ExchangeBrowseCtrl.dataLoaded">
	<div class="col-xs-12 col-sm-12 col-md-12 col-lg-9 col-lg-offset-3">
		<div class="col-md-6">
			<cv-actions-toolbar actions="office365ExchangeBrowseCtrl.actionsToolbarModel"></cv-actions-toolbar>
		</div>
		<div class="col-md-6">
			<cv-search-filter app-type="office365ExchangeBrowseCtrl.appType" on-search="office365ExchangeBrowseCtrl.onSearch(searchTerm, searchFilters)"></cv-search-filter>
		</div>
	</div>
</div>

<!--Tree and Grid-->
<div class="bootstrap-wrapper">
	<div class="col-xs-12 col-sm-12 col-md-12 col-lg-3 margin-top-15">			
		<cv-browse-restore-facets 
			facet-data="office365ExchangeBrowseCtrl.facetData"
			selected-facet-results="office365ExchangeBrowseCtrl.selectedFacetResults"
			on-change="office365ExchangeBrowseCtrl.onFacetChange(selectedFacets)">
		</cv-browse-restore-facets>

		<div class="cv-kendo-tree-top-border">		
			<cv-kendo-tree data-cv-tree-options="office365ExchangeBrowseCtrl.treeOptions"></cv-kendo-tree>
		</div>
	</div>
	
	<div class="col-xs-12 col-sm-12 col-md-12 col-lg-9 margin-top-15">		
		<cv-kendo-grid data-cv-grid-options="office365ExchangeBrowseCtrl.office365ExchangeBrowseOptions"></cv-kendo-grid>
		
		<div class="margin-top-50 horz-center">
			<div data-ng-if="!office365ExchangeBrowseCtrl.dataLoaded" class="grid-data-spinner">
				<img src="${pageContext.request.contextPath}/common/img/ajax-loader.gif">
			</div>
			<div data-ng-if="(office365ExchangeBrowseCtrl.recievedBrowseResponseType === office365ExchangeBrowseCtrl.browseResponseTypes.ERROR) && office365ExchangeBrowseCtrl.dataLoaded">
				<p class="error margin-top-10" data-ng-bind="office365ExchangeBrowseCtrl.browseResponseErrorMessage"></p>
			</div>
		</div>
	</div>
</div>

<!--Row detail template -->
<script type="text/x-kendo-template" id="exchange-email-details-template">
	<div class="col-sm-10 text-detail-grid">
        <%-- <p><cv:msg key="label.profile" bundle="profiles" /></p>
        #if(planEntity.planId) {
            
        #<p class="crop" title="<cv:msg key='label.backupContentFromPlan' bundle='fs' />"
        >
        <cv:msg key="label.backupContentFromPlan" bundle="fs" />
        </p>#
        }#
        <p><cv:msg key="label.lastBackupTime" bundle="storage" /></p>
        <p><cv:msg key="label.lastbackup.size" bundle="collections" /> </p>
 
    </div>
    <div class="col-sm-8">
        <p>
            #if(planEntity.planName) {
            #<a href="\\#/profileDetails/#:planEntity.planId#">#:planEntity.planName#</a>#
            } else {
            # <cv:msg key="label.notAssigned" bundle="exchange" />#
            }#
        </p>
        #if(planEntity.planId) {
        #<p cv-toggle-content="#if(!hasAssociatedSubclientPolicy) {#<cv:msg key='prompt.planNoContent' bundle='fs' />#}#"
        cv-toggle="tooltip" class="content-from-plan-toggle"></p>#
        }#
        <p>#:formattedBackuptime# </p>
        <p>#:formattedAppSize#</p> --%>
		<a class="crop">
			<span class="margin-left-50"><span class="font-weight-bold"><cv:msg key="email.to" bundle="office365" />:  </span>#=to#</span>
		</a>
    </div>
</script>